Package org.eclipse.cdt.core.parser.util

## Class AttributeUtil

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.AttributeUtil

    public class AttributeUtil
    extends Object

Collection of static methods for dealing with attributes.

Since:
  5.4
See Also:
  `IASTAttribute`, `IASTAttributeOwner`

### Method Summary

All Methods Static Methods Concrete Methods
`static char[]` `getSimpleArgument​(IASTAttribute attribute)` Returns character representation of the attribute argument, or `null` if the attribute has zero or more than one argument.
`static boolean` `hasAttribute​(IASTAttributeOwner node, String[] names)` Returns `true` if a declarator has an attribute with one of the given names.
`static boolean` `hasNodiscardAttribute​(IASTAttributeOwner node)` Returns `true` if the node has a "nodiscard" attribute.
`static boolean` `hasNoreturnAttribute​(IASTAttributeOwner node)` Returns `true` if the node has a "noreturn" or "__noreturn__" attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasAttribute

    public static boolean hasAttribute​(IASTAttributeOwner node,
                                       String[] names)

Returns `true` if a declarator has an attribute with one of the given names. The `names` array is assumed to be small.

#### hasNoreturnAttribute

    public static boolean hasNoreturnAttribute​(IASTAttributeOwner node)

Returns `true` if the node has a "noreturn" or "__noreturn__" attribute.

#### hasNodiscardAttribute

    public static boolean hasNodiscardAttribute​(IASTAttributeOwner node)

Returns `true` if the node has a "nodiscard" attribute.

Since:
  7.0

#### getSimpleArgument

    public static char[] getSimpleArgument​(IASTAttribute attribute)

Returns character representation of the attribute argument, or `null` if the attribute has zero or more than one argument.